import { Column, Entity } from "typeorm";
import AppBaseEntity from "../../../contracts/AppBaseEntity";
import AppDataSource from "../../dataSources/appDataSource";

@Entity()
export default class User extends AppBaseEntity {
    constructor(userId: string, currency: number) {
        super();

        this.UserId = userId;
        this.Currency = currency;
    }

    @Column()
        UserId: string;

    @Column()
        Currency: number;

    public UpdateCurrency(currency: number) {
        this.Currency = currency;
    }

    public static async FetchOneByUserId(userId: string): Promise<User | null> {
        const repository = AppDataSource.getRepository(User);

        const single = await repository.findOne({ where: { UserId: userId }});

        return single;
    }
}